Skip to main content
GET
/
v1
/
ramp
/
config
/
network-fee
Estimate Network Fee
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/ramp/config/network-fee \
  --header 'x-auth-token: <api-key>'
{
  "code": 200,
  "message": "Success",
  "data": {
    "asset": "USDT",
    "network": "ETH",
    "network_fee": "5.00",
    "processing_fee": "0.00",
    "total_fee": "5.00",
    "fee_asset": "USDT",
    "estimated_time": 15,
    "network_status": "NORMAL",
    "update_time": "2024-07-18T14:19:52+08:00"
  },
  "fee_asset": "<string>",
  "estimated_time": 123,
  "network_status": "<string>",
  "update_time": "<string>"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

asset
string
required

Asset code (e.g., USDT, USDC)

network
string
required

Network code (e.g., ETH, TRX, BSC)

amount
string
required

Withdrawal amount (for more accurate fee estimation)

Response

Successfully retrieved network fee estimate

code
integer
required
Example:

200

message
string
required
Example:

"Success"

data
object
required
fee_asset
string

Fee currency

estimated_time
integer

Estimated arrival time in minutes

network_status
string

Network status: NORMAL, MAINTENANCE

update_time
string

Last update time